Bundle Actions

A BundleAction is an action performed on a bundle. Provides detailed information about the action's type, involved paths and other information.

List Bundle Actions

Endpoint

GET/bundle_actions

Return Object

BundleAction[]

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
user_id
int64
User ID. Provide a value of 0 to operate the current session's user.
bundle_id
int64
Bundle ID
bundle_registration_id
int64
Bundle Registration ID

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/bundle_actions.json?user_id=1&bundle_id=1&bundle_registration_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "action": "create",
    "bundle_registration": {
      "code": "abc123",
      "name": "account",
      "company": "Action Verb",
      "email": "john.doe@files.com",
      "ip": "10.1.1.1",
      "inbox_code": "abc123",
      "clickwrap_body": "example",
      "form_field_set_id": 1,
      "form_field_data": {
        "key": "example value"
      },
      "bundle_code": "example",
      "bundle_id": 1,
      "bundle_recipient_id": 1,
      "workspace_id": 1,
      "created_at": "2000-01-01T01:00:00Z"
    },
    "created_at": "2000-01-01T01:00:00Z",
    "destination": "/to_path",
    "path": "",
    "source": "/from_path",
    "bundle_registration_id": 1,
    "workspace_id": 1,
    "bundle_registration_name": "John Doe",
    "bundle_registration_email": "john@example.com",
    "bundle_registration_ip": "127.0.0.1",
    "form_field_set_id": 1,
    "form_field_data": {
      "key": "example value"
    }
  }
]

The BundleAction Object

Some of the endpoints above return a BundleAction object. The attributes of this object are listed below.

AttributeDescription
action
string
Type of action
Possible values: create, read, update, destroy, move, copy, registration
bundle_registration
BundleRegistration
Object that contains bundle registration information
created_at
date-time
Action occurrence date/time
destination
string
The destination path for this bundle action, if applicable
path
string
Path. This must be slash-delimited, but it must neither start nor end with a slash. Maximum of 5000 characters.
source
string
The source path for this bundle action, if applicable
bundle_registration_id
int64
Identifier of the associated bundle registration
workspace_id
int64
Workspace ID. 0 means the default workspace.
bundle_registration_name
string
Name of the registrant who performed the action
bundle_registration_email
string
Email of the registrant
bundle_registration_ip
string
IP address of the registrant
form_field_set_id
int64
Id of associated form field set
form_field_data
object
Data for form field set with form field ids as keys and user data as values

Example BundleAction Object

{
  "action": "create",
  "bundle_registration": {
    "code": "abc123",
    "name": "account",
    "company": "Action Verb",
    "email": "john.doe@files.com",
    "ip": "10.1.1.1",
    "inbox_code": "abc123",
    "clickwrap_body": "example",
    "form_field_set_id": 1,
    "form_field_data": {
      "key": "example value"
    },
    "bundle_code": "example",
    "bundle_id": 1,
    "bundle_recipient_id": 1,
    "workspace_id": 1,
    "created_at": "2000-01-01T01:00:00Z"
  },
  "created_at": "2000-01-01T01:00:00Z",
  "destination": "/to_path",
  "path": "",
  "source": "/from_path",
  "bundle_registration_id": 1,
  "workspace_id": 1,
  "bundle_registration_name": "John Doe",
  "bundle_registration_email": "john@example.com",
  "bundle_registration_ip": "127.0.0.1",
  "form_field_set_id": 1,
  "form_field_data": {
    "key": "example value"
  }
}